services:
    AppBundle\Repository\UserRepository:
        factory: [ "@doctrine.orm.default_entity_manager", getRepository ]
        arguments:
            - AppBundle:User

    # custom form type
    framasites.form.settings:
        class: AppBundle\Form\SettingsType
        arguments:
            - "%app.languages%"
        tags:
            - { name: form.type }